%global _empty_manifest_terminate_build 0
Name:		python-publicsuffix2
Version:	2.2019.12.21
Release:	1
Summary:	Get a public suffix for a domain name using the Public Suffix List. Forked from and using the same API as the publicsuffix package.
License:	MIT and MPL-2.0
URL:		https://github.com/nexb/python-publicsuffix2
Source0:	https://github.com/nexb/python-publicsuffix2/archive/release-2.2019-12-21.tar.gz
BuildArch:	noarch

%description
This module allows you to get the public suffix, as well as the registrable domain,
of a domain name using the Public Suffix List from http://publicsuffix.org
A public suffix is a domain suffix under which you can register domain
names, or under which the suffix owner does not control the subdomains.
Some examples of public suffixes in the former example are ".com",
".co.uk" and "pvt.k12.wy.us"; examples of the latter case are "github.io" and
"blogspot.com".  The public suffix is sometimes referred to as the effective
or extended TLD (eTLD).

%package -n python3-publicsuffix2
Summary:	Get a public suffix for a domain name using the Public Suffix List. Forked from and using the same API as the publicsuffix package.
Provides:	python-publicsuffix2
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:  python3-requests

%description -n python3-publicsuffix2
This module allows you to get the public suffix, as well as the registrable domain,
of a domain name using the Public Suffix List from http://publicsuffix.org
A public suffix is a domain suffix under which you can register domain
names, or under which the suffix owner does not control the subdomains.
Some examples of public suffixes in the former example are ".com",
".co.uk" and "pvt.k12.wy.us"; examples of the latter case are "github.io" and
"blogspot.com".  The public suffix is sometimes referred to as the effective
or extended TLD (eTLD).

%package help
Summary:	Development documents and examples for publicsuffix2
Provides:	python3-publicsuffix2-doc

%description help
Development documents and examples for publicsuffix2.

%prep
%autosetup -n python-publicsuffix2-release-2.2019-12-21

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-publicsuffix2 -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Fri Dec 18 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
